/*
 * Copyright 2005 by Lars Torunski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.torunski.crawler.events;

import java.util.EventListener;


/**
 * Defines an interface for additional parsers during the parse process. 
 * Parsers may generate different PageData object for the same page!
 * 
 * @author Lars Torunski
 * @version $Revision: 1.1 $
 */
public interface IParserEventListener extends EventListener {
    
    /**
     * Listener can implement it's own parsing process.
     * @param event the event containing the PageData and the crawler
     */
    public void parse(ParserEvent event); 
    
}
