/*
 * Copyright 2005 by Lars Torunski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.torunski.crawler.filter;

/**
 * Defines a filter for links which should be further crawled.
 * 
 * @author Lars Torunski
 * @version $Revision: 1.2 $
 */
public interface ILinkFilter {

    /**
     * @param origin the complete URI of the page which contains the link
     * @param link the absolut path of the to be checked link
     * 
     * @return true if the <code>link</code> should be followed and returns
     * false if <code>link</code> is null.
     */
    public boolean accept(String origin, String link);
    
}
