/*
 * Copyright 2005 by Lars Torunski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package com.torunski.crawler.link;

/**
 * Contains the URI of the link.
 *
 * @author Lars Torunski
 * @version $Revision: 1.3 $
 */
public class Link implements Comparable {
    
    /** the URI of the link */
    private String uri;
    
    /**
     * @param uri the URI of the link
     */
    public Link(String uri) {
        this.uri = uri;
    }
    
    /**
     * @return Returns the link.
     */
    public String getURI() {
        return uri;
    }
    
    /**
     * @param uri The URI to set.
     */
    public void setURI(String uri) {
        this.uri = uri;
    }
    
    /**
     * @see java.lang.Object#hashCode()
     */
    public int hashCode() {
        return uri.hashCode();
    }
    
    /**
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return uri;
    }

	public int compareTo(Object o) {
		Link l = (Link) o;
		return uri.compareTo(l.getURI());
	}
    
}
